Package com.tibco.patterns.deduplication

## Enum QueryErrorAction

- java.lang.Object
- - java.lang.Enum<QueryErrorAction>
  - - com.tibco.patterns.deduplication.QueryErrorAction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<QueryErrorAction>`

      public enum QueryErrorAction
      extends java.lang.Enum<QueryErrorAction>

  Defines the actions that can be taken when building a query fails.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Continue` | An error is logged.
    `HaltDeduplication` | The Deduplicator framework will stop scanning the KeyedQuerySource, and will exit when queued queries have finished processing.
    `SkipBatch` | The batch will be skipped.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QueryErrorAction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static QueryErrorAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HaltDeduplication

          public static final QueryErrorAction HaltDeduplication

      The Deduplicator framework will stop scanning the KeyedQuerySource, and will exit when queued queries have finished processing.

      Typically used when the query-builder is missing a critical resource and cannot produce any more queries, or during application development.

    - #### SkipBatch

          public static final QueryErrorAction SkipBatch

      The batch will be skipped. A warning is logged. To process the batch, the duplication must be rerun after correcting the problem. `Deduplicator.waitWorkComplete(long, java.util.concurrent.TimeUnit)` will throw an exception when other possible work has been done.

      Typically used in production.

    - #### Continue

          public static final QueryErrorAction Continue

      An error is logged. No query is performed for the object passed to the `QueryBuilder`. To re-process the object passed to the `QueryBuilder`, the batch results must be removed from the associated `PairStore`, and the deduplication process re-started.

      Typically used during application development.

  - ### Method Detail

    - #### values

          public static QueryErrorAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryErrorAction c : QueryErrorAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryErrorAction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null